{% extends '::base.html.twig' %}

{% block title %}Coberturas{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
    <style>
    #form_Excel {
        margin-top: 0px !important;
    }
    #form_Enviar {
        float: left;
    }
    #form_enviar_excel {
        margin-top: 25px;
    }
    #form_archivo {
        padding: 0px !important;
    }
    </style>
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Coberturas de Envío</h1>
	{{ form_start(form) }}
	
    <table  class="table table-bordered table-striped table-condensed">
        <tbody>
            <tr> 
                <td>
				   <div class="form-group">
					{{ form_row(attribute(form, "codigoPostal")) }}
                   </div>
				   <div>
				   {{ form_rest(form) }}
				   </div>
				</td>
            </tr>
			 </table>
              {{ form_end(form) }}
        
            <a type="button" class="btn btn-primary" href="{{ path('coberturaenvio_new') }}">
                Agregar Cobertura
            </a>
    <br /><br />
    <table id="cob" class="table table-bordered table-striped table-condensed">
        <thead  class="head_table">
            <tr>
			    <th>Tipo de Pago</th>
                <th>Cp</th>
                <th>Acciones</th>
                <th>Tiempo Entrega</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
			    <td>{{ entity.tipoPago }}</td>
                <td>{{ entity.cP }}</td>
                <td>De {{ entity.tiempoEntregaMin }} a {{ entity.tiempoEntregaMax }} días </td>
                <td>
                        <a type="button" class="btn btn-primary" href="{{ path('coberturaenvio_edit', { 'id': entity.idCobertura }) }}">Editar</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

<!--POP-UP PARA CARGA DE EXCEL LISTA NEGRA DIRECCIONES-->

        <div class="modal fade modal_base" id="pop_cargaExcel" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
          <div class="modal-dialog ">
            <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" id="myModalLabel">Carga de <b>COBERTURAS DE ENVIO</b></h4>
                    </div>
                    <div class="modal-body">
                            {{ form_start(Excelform) }}
                              {% for row in [
                                [ ['archivo',2],    ['enviar_excel']]
                                ] 
                              %}
                                <div class="row">   
                                {% for field in row %}
                                  <div class="col-xs-{{ field[1] is defined ? field[1] * 4 :  4 }}">
                                    {% if (attribute(Excelform, field[0]) is defined) %}
                                      {{ form_row(attribute(Excelform, field[0])) }}
                                    {% endif %}
                                  </div>
                                {% endfor %}
                                </div>
                              {% endfor %}
                              {{ form_rest(Excelform) }}
                              {{ form_end(Excelform) }}
                    </div>  
            </div>  
          </div>
        </div>

	</div>
    {% endblock %}
	
{% block javascripts %}

<script type="text/javascript">  
  $(document).ready(function() {
    $('#cob').dataTable({
		"language":DataTables.languaje.es                    
			  			});

        $( "select" ).addClass( "form-control" );
        $( "input[type='text']" ).addClass( "form-control" );
        $( "input[type='search']").addClass( "form-control" );                      
        $( "#cob_length" ).addClass( "form-inline" );
        $( "#cob_filter" ).addClass( "form-inline" );
                                        
    }); 

    function showExcelForm(){
            $('#pop_cargaExcel').modal({
              backdrop: 'static',
              keyboard: false
            });
    }
</script>

{% endblock %}
